Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGridSource Class Reference

`#include <vtkUnstructuredGridSource.h>`

Inheritance diagram for vtkUnstructuredGridSource:

[legend]
Collaboration diagram for vtkUnstructuredGridSource:

[legend]
List of all members.

## Detailed Description

abstract class whose subclasses generate unstructured grid data

Date:
  2002/10/04 20:43:44

Revision:
  1.38

vtkUnstructuredGridSource is an abstract class whose subclasses generate unstructured grid data.

See also:
  vtkUnstructuredGridReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Martin, Ken (25%)
  - Cedilnik, Andy (13%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkUnstructuredGridSource.h)`
  - .`cxx` (`/Filtering/vtkUnstructuredGridSource.cxx)`

Definition at line 48 of file vtkUnstructuredGridSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkUnstructuredGrid * | GetOutput ()
vtkUnstructuredGrid * | GetOutput (int idx)
void | SetOutput (vtkUnstructuredGrid *output)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkUnstructuredGridSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGridSource ()
| ~vtkUnstructuredGridSource ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkSource vtkUnstructuredGridSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece. Definition at line 51 of file vtkUnstructuredGridSource.h.

## Constructor & Destructor Documentation

vtkUnstructuredGridSource::vtkUnstructuredGridSource | ( |  | ) | `[protected]`

vtkUnstructuredGridSource::~vtkUnstructuredGridSource | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkUnstructuredGridSource.h.

## Member Function Documentation

virtual const char* vtkUnstructuredGridSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

int vtkUnstructuredGridSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

virtual int vtkUnstructuredGridSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

vtkUnstructuredGridSource* vtkUnstructuredGridSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

void vtkUnstructuredGridSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkDataSetToUnstructuredGridFilter, vtkStructuredPointsToUnstructuredGridFilter, vtkUnstructuredGridToUnstructuredGridFilter, vtkAppendFilter, vtkClipDataSet, vtkClipVolume, vtkConnectivityFilter, vtkDataSetTriangleFilter, vtkDelaunay3D, vtkExtractGeometry, vtkExtractUnstructuredGrid, vtkReflectionFilter, vtkShrinkFilter, vtkSubdivideTetra, vtkThreshold, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

vtkUnstructuredGrid* vtkUnstructuredGridSource::GetOutput | ( |  | ) |

| Get the output of this source.

vtkUnstructuredGrid* vtkUnstructuredGridSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource.

void vtkUnstructuredGridSource::SetOutput | ( | vtkUnstructuredGrid * | output | ) |

| Get the output of this source.

void vtkUnstructuredGridSource::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource. Reimplemented in vtkStructuredPointsToUnstructuredGridFilter, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

The documentation for this class was generated from the following file:

- Filtering/vtkUnstructuredGridSource.h